<script>
	import { l, t } from "@/i18n"

	$: menu = [
		{ text: $t("default.nav.about_us"), href: $l("about-dcr") },
		{ text: $t("default.nav.blog"), href: $l("blog") },
		{ text: $t("default.nav.faq"), href: $l("frequently-asked-questions") },
		{ text: $t("default.nav.sitemap"), href: $l("sitemap") },
		{ text: $t("default.nav.terms"), href: $l("terms") }
	]
</script>

<div class="menu is-flex">
	{#each menu as menuItem}
	<a class="menu-item is-flex is-align-items-center is-justify-content-center" href={menuItem.href}>
		<span class="menu-item-content is-flex is-align-items-center is-justify-content-center">{menuItem.text}</span>
	</a>
	{/each}
</div>

<style lang="scss">
	.menu-item {
		&:not(:last-child) {
			@include min_tablet {
				margin-right: 1rem;
			}
			@include max_tablet {
				margin-bottom: 1rem;
			}
		}
	}

	@include max_tablet {
		.menu {
			flex-direction: column;
			align-items: flex-start!important;
		}
	}
</style>